%if %mandriva_branch == Cooker
# Cooker
%define release %mkrel 1
%else
# Old distros
%define subrel 3
%define release %mkrel 0
%endif

%define major 0
%define libname %mklibname purple %{major}
%define develname %mklibname purple -d

%define console_app finch
%define lib_console_app %mklibname %{console_app} %{major}

%define build_evolution 1
%define build_silc 1
%define build_meanwhile 1
%define build_networkmanager 0
%define build_fetion 1
%define build_mono 1
%define build_vv 1
%define build_libgadu 1

%ifarch mips mipsel
%define build_mono 0
%endif

%if %mdvver < 201000
%define build_vv 0
%define build_libgadu 1
%endif


%{?_without_evolution: %{expand: %%global build_evolution 0}}
%{?_with_evolution: %{expand: %%global build_evolution 1}}

%{?_without_silc: %{expand: %%global build_silc 0}}
%{?_with_silc: %{expand: %%global build_silc 1}}

%{?_without_meanwhile: %{expand: %%global build_meanwhile 0}}
%{?_with_meanwhile: %{expand: %%global build_meanwhile 1}}

%{?_without_networkmanager: %{expand: %%global build_networkmanager 0}}
%{?_with_networkmanager: %{expand: %%global build_networkmanager 1}}

%{?_without_mono: %{expand: %%global build_mono 0}}
%{?_with_mono: %{expand: %%global build_mono 1}}

%{?_without_fetion: %{expand: %%global build_fetion 0}}
%{?_with_fetion: %{expand: %%global build_fetion 1}}

%{?_without_libgadu: %{expand: %%global build_libgadu 0}}
%{?_with_libgadu: %{expand: %%global build_libgadu 1}}

Summary:	A GTK+ based multiprotocol instant messaging client
Name:		pidgin
Version:	2.6.6
Release:	%release
Group:		Networking/Instant messaging
License:	GPLv2+
URL:		http://www.pidgin.im/
Source0:	http://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.bz2
#gw from Fedora: generate one time passwords
Source2:        one_time_password.c
%if %build_fetion
%define fetion_date 20090830
# fwang: sourcce10 is generated by:
# git clone git://github.com/gradetwo/fetion.git
# tar cfj fetion-%{fetion_date}.tar.bz2 fetion
Source10:	fetion-%{fetion_date}.tar.bz2
Source11:	autogen.sh
Patch2:		pidgin-2.6.4-add-fetion-protocol.patch
%endif
Patch0:		%{name}-2.5.3-smiley.patch
Patch1:		pidgin-2.6.4-xdg.patch
Patch3:		%{name}-2.4.2-set-jabber-as-module.patch
#gw from Ubuntu: fix KDE tray icon size
#https://qa.mandriva.com/show_bug.cgi?id=54667
#http://developer.pidgin.im/ticket/2466
Patch4:		62_tray_icon_size_kde.patch
#gw patch for http://developer.pidgin.im/ticket/11431
#https://qa.mandriva.com/show_bug.cgi?id=58439
#signals don't work in perl plugins
Patch5:		perl_va_args-2.patch

## Patches 100+ (from Fedora): To be Included in Future Upstream
#gw these two fix the Oscar clientlogin using https
#https://qa.mandriva.com/show_bug.cgi?id=59476
Patch100: pidgin-2.6.6-clientLogin-proxy-fix.patch
Patch101: pidgin-2.6.6-clientLogin-use-https.patch

#gw fix reading resolv.conf in NetworkManager integration
Patch111:	%{name}-2.6.0-reread-resolvconf.patch
Patch115:	%{name}-2.3.1-gg-search-by-uin.patch
Patch116:	%{name}-2.3.1-gg-disconnect.patch


# pt: Temporary fix for a crash
Patch118:	pidgin-2.6.0-jabber-presence.crash

Patch119:	pidgin-2.5.3-present.patch
Patch120: pidgin-CVE-2010-1624.patch
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	autoconf
BuildRequires:	gtk+2-devel
Buildrequires:	gtkspell-devel >= 2.0.2
Buildrequires:	sqlite3-devel
Buildrequires:	libncursesw-devel
#gw for finch:
Buildrequires:	python-devel
# (tpg) libgadu is now in main, pidgin's one is really old
%if %build_libgadu
Buildrequires:	libgadu-devel >= 1.7.1
%endif
#gw we have networkmanager only in contribs:
%if %build_networkmanager
Buildrequires:	networkmanager-devel
%endif
BuildRequires:	libxscrnsaver-devel
BuildRequires:	libgstreamer-devel >= 0.10
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:  libidn-devel
BuildRequires:	perl-devel
BuildRequires:	tk-devel
BuildRequires:	tcl-devel
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires:	libnss-devel
BuildRequires:	libnspr-devel
BuildRequires:	krb5-devel
BuildRequires:	libjack-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	gettext-devel
BuildRequires:	libexpat-devel
BuildRequires:	avahi-glib-devel
BuildRequires:	avahi-client-devel
BuildRequires:	doxygen
BuildRequires:	desktop-file-utils
BuildRequires:	gnutls-devel
BuildRequires:	dbus-devel >= 0.50
BuildRequires:	dbus-glib-devel
BuildRequires:	graphviz
BuildRequires:	libxslt-proc
%if %build_meanwhile
BuildRequires:	meanwhile-devel >= 1.0.0
%else
BuildConflicts:	meanwhile-devel
%endif
%if %build_evolution
BuildRequires:	evolution-data-server-devel
%endif
%if %build_silc
BuildRequires:	silc-toolkit-devel >= 0.9.12
%else
BuildConflicts:	silc-toolkit-devel
%endif
%if %build_mono
BuildRequires:	mono-devel
%endif
%if %build_vv
BuildRequires:  farsight2-devel >= 0.0.9
Suggests: gstreamer0.10-farsight2
%endif
Obsoletes:	hackgaim <= 0.60 gaim
Provides:	hackgaim <= 0.60 gaim
Requires:	%{libname} >= %{version}-%{release}
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	%{name}-plugins = %{version}-%{release}
Requires:	rootcerts
Requires:	xdg-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu,
ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and
Zephyr.  These protocols are implemented using a modular, easy to
use design.  To use a protocol, just add an account using the
account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.

%package plugins
Summary:	Pidgin plugins shared by the Purple and Finch
Group:		Networking/Instant messaging
Conflicts:	%{name} < 2.4.1-3mdv

%description plugins
This contains the parts of Pidgin that are shared between the Purple and
Finch Instant Messengers.

%package perl
Summary:	Purple extension, to use perl scripting
Group:		Networking/Instant messaging
Obsoletes:	gaim-perl
Provides:	gaim-perl
Requires:	%{name} = %{version}-%{release}

%description perl
Purple can use perl script as plugin, this plugin enable them.

%package tcl
Summary:	Purple extension, to use tcl scripting
Group:		Networking/Instant messaging
Obsoletes:	gaim-tcl
Provides:	gaim-tcl
Requires:	%{name} = %{version}-%{release}

%description tcl
Purple can use tcl script as plugin, this plugin enable them.

%package gevolution
Summary:	Pidgin extension, for Evolution integration
Group:		Networking/Instant messaging
Obsoletes:	gaim-gevolution
Provides:	gaim-gevolution
Requires:	%{name} = %{version}-%{release}

%description gevolution
This pidgin plugin allows you to have pidgin working together with evolution.

%package silc
Summary:	Purple extension, to use SILC (Secure Internet Live Conferencing)
Group:		Networking/Instant messaging
Obsoletes:	gaim-silc
Provides:	gaim-silc
Requires:	%{name} = %{version}-%{release}

%description silc
This purple plugin allows you to use SILC (Secure Internet Live Conferencing)
plugin for live video conference.

%package -n %{develname}
Summary:	Development files for pidgin
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{lib_console_app} = %{version}-%{release}
Requires:	pidgin-client = %version-%release
Provides:	libpidgin-devel = %{version}-%{release}
Provides:	pidgin-devel = %{version}-%{release}
Obsoletes:	gaim-devel

%description -n %{develname}
The pidgin-devel package contains the header files, developer
documentation, and libraries required for development of Pidgin scripts
and plugins.

%package -n %{libname}
Summary:	The libpurple library for IM clients like Pidgin and Finch
Group:		System/Libraries

%description -n %{libname}
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

libpurple supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%package -n %{lib_console_app}
Summary:	The libgnt library for the Finch IM client
Group:		System/Libraries
Conflicts:	%mklibname gaim 0

%description -n %{lib_console_app}
libgnt contains the core IM support for the Finch IM client.

libgnt supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%package -n %{console_app}
Summary:	A text-based user interface for Pidgin
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}
Requires:	%{lib_console_app} >= %{version}-%{release}
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	%{name}-plugins = %{version}-%{release}

%description -n	%{console_app}
A text-based user interface for using libpurple. This can be run from a
standard text console or from a terminal within X Windows.  It
uses ncurses and our homegrown gnt library for drawing windows
and text.

%package bonjour
Summary:	Bonjour plugin for Purple
Group:		Networking/Instant messaging
Obsoletes:	gaim-bonjour
Provides:	gaim-bonjour
Requires:	%{name} = %{version}-%{release}

%description bonjour
Bonjour plugin for purple.

%package meanwhile
Summary:	Lotus Sametime Community Client plugin for Purple
Group:		Networking/Instant messaging
Obsoletes:	gaim-meanwhile
Provides:	gaim-meanwhile
Requires:	%{name} = %{version}-%{release}

%description meanwhile
Lotus Sametime Community Client plugin for purple.

%package client
Summary:	Plugin and sample client to control purple clients
Group:		Networking/Instant messaging
Requires:	dbus-python
Obsoletes:	libgaim-remote0, gaim-client
Provides:	libgaim-remote0, gaim-client
Requires:	%{name} = %{version}-%{release}

%description client
Applications and library to control purple clients remotely.

%if %build_mono
%package mono
Summary:	Purple extension, to use Mono plugins
Group:		Networking/Instant messaging
Obsoletes:	gaim-mono
Provides:	gaim-mono
Requires:	%{name} = %{version}-%{release}

%description mono
Purple can use plugins developed with Mono.
%endif

%package i18n
Summary:	Translation files for Pidgin/Finch
Group:		Networking/Instant messaging
Obsoletes:	%{name} < 2.1.0

%description i18n
This package contains translation files for Pidgin/Finch.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .smiley
%patch1 -p1 -b .xdg
%patch3 -p0
%patch4
%patch5

%patch100 -p0 
%patch101 -p0 

%patch111 -p1 -b .reread-resolvconf


%patch115 -p1
%patch116 -p1
%patch118 -p1 -b .presence
%patch119 -p1 -b .present
%patch120 -p0 -b .CVE-2010-1624

%if %build_fetion
pushd libpurple/protocols
tar xfj %{SOURCE10}
rm -f fetion/Makefile
popd
cp %{SOURCE11} .
%patch2 -p1 -b .add-fetion-protocol
%endif
#gw patch120 needs automake
#if %build_fetion
./autogen.sh
#endif

%build
#gw 2.6.0, the yahoo plugin does not build otherwise
%define _disable_ld_no_undefined 1
%configure2_5x \
	--enable-gnutls=yes \
%if %build_mono
	--enable-mono \
%else
	--disable-mono \
%endif
%if %build_networkmanager
	--enable-nm \
%else
	--disable-nm \
%endif
%if %build_evolution
	--enable-gevolution \
%endif
%if ! %build_vv
        --disable-vv \
%endif
%if %build_libgadu
	--with-gadu-includes=%{_includedir} \
	--with-gadu-libs=%{_libdir} \
%endif
	--without-krb4 \
	--enable-cap \
	--with-system-ssl-certs=%_sysconfdir/pki/tls/rootcerts/ \
	--disable-static --disable-schemas-install
#gw parallel build doesn't work with the mono plugin
%make -j1

# one_time_password plugin, to be merged upstream soon
cp %{SOURCE2} libpurple/plugins/
pushd libpurple/plugins/
make one_time_password.so
popd


%install
rm -rf %{buildroot}

%makeinstall_std mkinstalldirs='mkdir -p'

install -m 0755 libpurple/plugins/one_time_password.so %{buildroot}%{_libdir}/purple-2/


desktop-file-install \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Network" \
  --add-category="InstantMessaging" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# remove files not bundled
rm -f %{buildroot}%{_libdir}/*/*.la 
rm -f %buildroot%_prefix/*/perl5/*/perllocal.pod \
      %buildroot%_libdir/*/perl/auto/*/{.packlist,*.bs,autosplit.ix}

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%post_install_gconf_schemas purple
%update_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas purple

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{lib_console_app} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_console_app} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYRIGHT ChangeLog
%doc NEWS README README.MTN doc/the_penguin.txt
%{_mandir}/man1/pidgin.*
%{_sysconfdir}/gconf/schemas/purple.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/icons/*
%{_datadir}/sounds/purple
%{_libdir}/pidgin/cap.so
%{_libdir}/pidgin/convcolors.so
%{_libdir}/pidgin/extplacement.so
%{_libdir}/pidgin/gestures.so
%{_libdir}/pidgin/gtkbuddynote.so
%{_libdir}/pidgin/history.so
%{_libdir}/pidgin/iconaway.so
%{_libdir}/pidgin/markerline.so
%{_libdir}/pidgin/musicmessaging.so
%{_libdir}/pidgin/notify.so
%{_libdir}/pidgin/pidginrc.so
%{_libdir}/pidgin/relnot.so
%{_libdir}/pidgin/sendbutton.so
%{_libdir}/pidgin/spellchk.so
%{_libdir}/pidgin/themeedit.so
%{_libdir}/pidgin/ticker.so
%{_libdir}/pidgin/timestamp.so
%{_libdir}/pidgin/timestamp_format.so
%if %build_vv
%{_libdir}/pidgin/vvconfig.so
%endif
%{_libdir}/pidgin/xmppconsole.so
%{_libdir}/pidgin/xmppdisco.so

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog.API HACKING PLUGIN_HOWTO
%{_includedir}/*
%{_datadir}/aclocal/purple.m4
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libpurple.so
%{_libdir}/libgnt.so
%{_libdir}/libpurple-client.so
%{_libdir}/lib*.la

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libpurple.so.%{major}*

%files -n %{console_app}
%defattr(-, root, root)
%doc %{_mandir}/man1/%{console_app}.*
%{_bindir}/%{console_app}
%{_libdir}/finch/
%{_libdir}/gnt/

%files -n %{lib_console_app}
%defattr(-, root, root)
%{_libdir}/libgnt.so.%{major}*

%files bonjour
%defattr(-,root,root)
%{_libdir}/purple-2/libbonjour.so

%files perl
%defattr(-,root,root)
%doc doc/PERL-HOWTO.dox
%dir %_libdir/%name/perl
%_libdir/%name/perl/Pidgin.pm
%dir %_libdir/%name/perl/auto
%dir %_libdir/%name/perl/auto/Pidgin/
%_libdir/%name/perl/auto/Pidgin/Pidgin.so
%dir %{_libdir}/purple-2/perl
%{_libdir}/purple-2/perl/Purple.pm
%dir %{_libdir}/purple-2/perl/auto
%dir %{_libdir}/purple-2/perl/auto/Purple/
%{_libdir}/purple-2/perl/auto/Purple/Purple.so
%{_libdir}/purple-2/perl.so
%{_mandir}/man3*/*

%files tcl
%defattr(-,root,root)
%doc doc/TCL-HOWTO.dox
%{_libdir}/purple-2/tcl.so

%if %build_silc
%files silc
%defattr(-,root,root)
%doc libpurple/protocols/silc/README
%{_libdir}/purple-2/libsilcpurple.so
%endif

%if %build_evolution
%files gevolution
%defattr(-,root,root)
%{_libdir}/%{name}/gevolution.so
%endif

%if %build_meanwhile
%files meanwhile
%defattr(-,root,root)
%{_libdir}/purple-2/libsametime.so
%endif

%files client
%defattr(-,root,root)
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-client-example
%{_bindir}/purple-url-handler
%{_libdir}/libpurple-client.so.0*
%{_libdir}/purple-2/dbus-example.so

%if %build_mono
%files mono
%defattr(-,root,root)
%{_libdir}/purple-2/mono.so
%{_libdir}/purple-2/*.dll
%endif

%files i18n -f %{name}.lang

%files plugins
%defattr(-,root,root)
%dir %{_libdir}/purple-2
%{_libdir}/purple-2/autoaccept.so
%{_libdir}/purple-2/buddynote.so
%{_libdir}/purple-2/idle.so
%{_libdir}/purple-2/joinpart.so
%{_libdir}/purple-2/libaim.so
%if %build_fetion
%{_libdir}/purple-2/libfetion.so
%endif
%{_libdir}/purple-2/libgg.so
%{_libdir}/purple-2/libicq.so
%{_libdir}/purple-2/libirc.so
%{_libdir}/purple-2/libjabber.so
%{_libdir}/purple-2/libmsn.so
%{_libdir}/purple-2/libmxit.so
%{_libdir}/purple-2/libmyspace.so
%{_libdir}/purple-2/libnovell.so
%{_libdir}/purple-2/liboscar.so
%{_libdir}/purple-2/libqq.so
%{_libdir}/purple-2/libsimple.so
%{_libdir}/purple-2/libxmpp.so
%{_libdir}/purple-2/libymsg.so*
%{_libdir}/purple-2/libyahoo.so
%{_libdir}/purple-2/libyahoojp.so
%{_libdir}/purple-2/libzephyr.so
%{_libdir}/purple-2/log_reader.so
%{_libdir}/purple-2/newline.so
%{_libdir}/purple-2/offlinemsg.so
%{_libdir}/purple-2/one_time_password.so
%{_libdir}/purple-2/psychic.so
%{_libdir}/purple-2/ssl-gnutls.so
%{_libdir}/purple-2/ssl-nss.so
%{_libdir}/purple-2/ssl.so
%{_libdir}/purple-2/statenotify.so
%dir %_datadir/purple/
%dir %_datadir/purple/ca-certs
%_datadir/purple/ca-certs/AOL*
%_datadir/purple/ca-certs/Microsoft*
%_datadir/purple/ca-certs/VeriSign*




%changelog
* Wed Jun 09 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.6-0.3mdv2009.1
- built for updates

* Mon Jun 07 2010 Götz Waschk <waschk@mandriva.org> 2.6.6-0.5mdv2010.0
+ Revision: 547194
- add xdg patch from cooker
- add perl varargs patch (bug #58439)
- build with python support
- add clientlogin patches for ICQ (bug #59476)

* Tue May 18 2010 Security Team <security@mandriva.com> 2.6.6-0.2mdv2010.0
+ Revision: 545153
- P120: security fix for CVE-2010-1624

* Thu Feb 18 2010 Security Team <security@mandriva.com> 2.6.6-0.1mdv2010.0
+ Revision: 507540
- 2.6.6 (fixes CVE-2010-0423,0420,0277)
  rediffed P3 but added -avoid-version too

* Mon Jan 11 2010 Security Team <security@mandriva.com> 2.6.5-0.1mdv2010.0
+ Revision: 489966
- 2.6.5

  + Olivier Blin <oblin@mandriva.com>
    - default to xdg-open to open links (instead of inexistent mozilla)

* Sun Oct 25 2009 Götz Waschk <waschk@mandriva.org> 2.6.3-2mdv2010.0
+ Revision: 459197
- fix tray icon size in KDE (bug #54667)

* Fri Oct 16 2009 Oden Eriksson <oeriksson@mandriva.com> 2.6.3-1mdv2010.0
+ Revision: 457896
- dropped P100, applied upstream
- rediffed some patches
- 2.6.3

* Sat Oct 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.2-4mdv2010.0
+ Revision: 456482
- reenable gadu-gadu support, because latest libgadu trunk is fixed

* Fri Oct 09 2009 Funda Wang <fwang@mandriva.org> 2.6.2-3mdv2010.0
+ Revision: 456371
- new snapshot of fetion plugin

* Fri Oct 09 2009 Götz Waschk <waschk@mandriva.org> 2.6.2-2mdv2010.0
+ Revision: 456260
- disable libgadu build on Cooker, libgadu 1.9.0 is too new
- backport some fixes from Monotone and Fedora
 * Yahoo status change
 * Yahoo buddy idle time
 * Jabber crash when validating JID
 * AIM grab buddy status
- really disable vv for backports

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdv2010.0
+ Revision: 432615
- new version
- update file list

* Wed Aug 19 2009 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdv2010.0
+ Revision: 418043
- new version

* Wed Aug 19 2009 Götz Waschk <waschk@mandriva.org> 2.6.0-1mdv2010.0
+ Revision: 417964
- new version
- rediff patches 2,111,118
- drop patches 5,120
- update build deps
- update file list

* Tue Aug 18 2009 Frederik Himpe <fhimpe@mandriva.org> 2.5.9-1mdv2010.0
+ Revision: 417853
- update to new version 2.5.9

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 2.5.8-2mdv2010.0
+ Revision: 411852
- new snapshot of fetion plugin

* Mon Jun 29 2009 Oden Eriksson <oeriksson@mandriva.com> 2.5.8-1mdv2010.0
+ Revision: 390445
- bump release
- 2.5.8
- prepare for main/testing

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 2.5.7-1mdv2010.0
+ Revision: 387569
- 2.5.7
- drop one upstream implemented patch (P121)

* Thu Jun 18 2009 Funda Wang <fwang@mandriva.org> 2.5.6-3mdv2010.0
+ Revision: 386941
- New version of fetion plugin

* Fri Jun 05 2009 Götz Waschk <waschk@mandriva.org> 2.5.6-2mdv2010.0
+ Revision: 382982
- fix MSN contact addition

* Thu May 21 2009 Götz Waschk <waschk@mandriva.org> 2.5.6-1mdv2010.0
+ Revision: 378486
- fix installation
- new version
- drop patches 6,7

* Thu May 07 2009 Götz Waschk <waschk@mandriva.org> 2.5.5-6mdv2010.0
+ Revision: 372835
- fix crash with new mail notification (bug #49124)
- drop old configure option

* Thu Apr 23 2009 Funda Wang <fwang@mandriva.org> 2.5.5-5mdv2009.1
+ Revision: 368796
- New fetion snapshot to fix crash when login

* Thu Apr 02 2009 Götz Waschk <waschk@mandriva.org> 2.5.5-4mdv2009.1
+ Revision: 363556
- fix crash in msn plugin (bug #49160)

* Sat Mar 21 2009 Funda Wang <fwang@mandriva.org> 2.5.5-3mdv2009.1
+ Revision: 359921
- new source of fetion plugin

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for bug #48621

* Wed Mar 04 2009 Götz Waschk <waschk@mandriva.org> 2.5.5-1mdv2009.1
+ Revision: 348200
- drop patch 4
- new version
- update file list

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.5.4-2mdv2009.1
+ Revision: 347095
- add one time password plugin

* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 2.5.4-1mdv2009.1
+ Revision: 328879
- spec fix
- update to new version 2.5.4

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 2.5.3-2mdv2009.1
+ Revision: 328305
- rebuild for new silc-toolkit

* Sun Dec 21 2008 Götz Waschk <waschk@mandriva.org> 2.5.3-1mdv2009.1
+ Revision: 317116
- new version
- rediff patches 0,2,111,119
- drop patch 117
- patches 1,5: fix format strings
- update file list

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 2.5.2-3mdv2009.1
+ Revision: 311098
- buildrequires dbus-glib-devel
- rebuild for new tcl

* Fri Oct 24 2008 Pascal Terjan <pterjan@mandriva.org> 2.5.2-2mdv2009.1
+ Revision: 296924
- Add a ugly patch to have the window appear when clicking on the tray icon

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.5.2-1mdv2009.1
+ Revision: 295546
- new version
- drop patches 100-103

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 2.5.1-5mdv2009.1
+ Revision: 293134
- add several crash fixes from Fedora

* Wed Oct 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2.5.1-4mdv2009.0
+ Revision: 290324
- Fix conflicts for 2008.1 upgrade

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 2.5.1-3mdv2009.0
+ Revision: 289226
- New snapshot of fetion support

* Fri Sep 05 2008 Pascal Terjan <pterjan@mandriva.org> 2.5.1-2mdv2009.0
+ Revision: 281213
- Add a simple patch to avoid a crash (reported upstream as #6972)

  + Götz Waschk <waschk@mandriva.org>
    - fix build deps
    - fix dep of the devel package

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.5.1-1mdv2009.0
+ Revision: 278103
- new version

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.5.0-2mdv2009.0
+ Revision: 274372
- switch to rootcerts

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.5.0-1mdv2009.0
+ Revision: 274213
- new version
- drop patches 1,113

* Fri Aug 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.3-5mdv2009.0
+ Revision: 268321
- Patch117: new version(this patch should be included upstream into next pidgin release), of the GG picture sender

* Tue Jul 22 2008 Funda Wang <fwang@mandriva.org> 2.4.3-4mdv2009.0
+ Revision: 240009
- New fetion snapshot

* Tue Jul 22 2008 Funda Wang <fwang@mandriva.org> 2.4.3-3mdv2009.0
+ Revision: 240005
- disable mono plugin in mips arch

* Wed Jul 16 2008 Götz Waschk <waschk@mandriva.org> 2.4.3-2mdv2009.0
+ Revision: 236381
- rebuild

* Wed Jul 02 2008 Götz Waschk <waschk@mandriva.org> 2.4.3-1mdv2009.0
+ Revision: 230612
- new version
- temporarily disable patch 4
- drpo patch 118

* Wed Jul 02 2008 Pascal Terjan <pterjan@mandriva.org> 2.4.2-12mdv2009.0
+ Revision: 230582
- Add upstream patch to fix connecting to ICQ

* Fri Jun 27 2008 Funda Wang <fwang@mandriva.org> 2.4.2-11mdv2009.0
+ Revision: 229385
- New snapshot of fetion plugin, fix memory leak

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - own missing directories

* Sun Jun 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.2-9mdv2009.0
+ Revision: 219309
- Patch117: new version of patch

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 08 2008 Funda Wang <fwang@mandriva.org> 2.4.2-8mdv2009.0
+ Revision: 216780
- disable msnp14 as it is too broken

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - Patch113: new version
    - Patch117: new version
    - clean up buildrequires, descriptions and file list

* Sat Jun 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.2-6mdv2009.0
+ Revision: 216736
- Patch117: add initial support for sending images for Gadu-Gadu (upstream bug #220, thanks goes to Tomasz Sa?\179aci?\241ski)

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 2.4.2-5mdv2009.0
+ Revision: 214118
- add a patch to solve null name for qq group

* Thu May 29 2008 Funda Wang <fwang@mandriva.org> 2.4.2-4mdv2009.0
+ Revision: 213076
- build jabber and oscar plugin as module
- try build with msnp14

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.2-3mdv2009.0
+ Revision: 208977
- remove dumb re-defineies
- remove old switches for really old mdv releases
- add missing buildrequires
- enable SILC support
- do not package COPYING files, fix all the docs
- disable networkmanager as mdv doesn't make any use of it

* Mon May 19 2008 Funda Wang <fwang@mandriva.org> 2.4.2-2mdv2009.0
+ Revision: 208866
- do not build networkmanager
- should BR nm-utils
- only enable nm support on 2009.0

* Sun May 18 2008 Funda Wang <fwang@mandriva.org> 2.4.2-1mdv2009.0
+ Revision: 208575
- explicitly enabled evo and cap plugin
- disable evolution build
- fix file list
- BR networkmanager
- New version 2.4.2

* Mon Apr 28 2008 Funda Wang <fwang@mandriva.org> 2.4.1-4mdv2009.0
+ Revision: 198017
- add fetion protocol into file list
- addd fetion support
- add patch for new autoconf (from PLD Linux)

  + Götz Waschk <waschk@mandriva.org>
    - improve deps for backports

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.1-3mdv2009.0
+ Revision: 194810
- drop patch 112 as it was merged upstream
- Patch113: new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.4.1-2mdv2009.0
+ Revision: 192440
- split out purple plugins to pidgin-plugins

* Wed Apr 02 2008 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2008.1
+ Revision: 191565
- new version

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 2.4.0-2mdv2008.1
+ Revision: 180317
- remove facebook plugin

* Sat Mar 01 2008 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2008.1
+ Revision: 177360
- new version
- drop patch 2
- update buildrequires

* Wed Feb 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.1-4mdv2008.1
+ Revision: 175953
- Patch116: handle gg server disconnection

* Mon Feb 18 2008 Götz Waschk <waschk@mandriva.org> 2.3.1-3mdv2008.1
+ Revision: 170105
- drop unapplied patches 1,114
- patch to fix bug #35905 (broken accounts.xml)

  + Thierry Vignaud <tv@mandriva.org>
    - fix gstreamer0.10-devel BR for x86_64

* Tue Jan 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.1-2mdv2008.1
+ Revision: 152757
- seaching people by uin on Gadu-Gadu network is broken, fixing this with patch 115

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Funda Wang <fwang@mandriva.org> 2.3.1-1mdv2008.1
+ Revision: 116404
- New version 2.3.1

* Wed Nov 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.0-1mdv2008.1
+ Revision: 113537
- disable patch 114
- set explicit version for libgadu-devel (no SSL support)
- update patches 112 and 113, which are required by pidgin-privacy-please
- new version

* Thu Oct 25 2007 Götz Waschk <waschk@mandriva.org> 2.2.2-1mdv2008.1
+ Revision: 102021
- new version

* Fri Oct 12 2007 Pascal Terjan <pterjan@mandriva.org> 2.2.1-2mdv2008.1
+ Revision: 97243
- Don't crash on Jabber connection refused in non UTF-8 locale (upstream #2247)

* Wed Oct 03 2007 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 94925
- new version
- update patch 112
- drop patches 114-117

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new license policy
    - correct url for source0
    - remove mixture of tabs and space
    - add upstream patches 114-117 (memleaks, proxy settings etc.)
    - rediff patch 111
    - do not obsolete devel library
    - enable gnutls
    - add scriplets
    - fix file list
    - new version

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 2.1.1-4mdv2008.0
+ Revision: 82025
- rebuild for new soname of tcl

* Fri Aug 31 2007 Funda Wang <fwang@mandriva.org> 2.1.1-3mdv2008.0
+ Revision: 76499
- Synch pp patches with upstream version

* Wed Aug 22 2007 Götz Waschk <waschk@mandriva.org> 2.1.1-2mdv2008.0
+ Revision: 68887
- rediff patch 112 (Maarten Vanraes)
- reenable patch 113

* Tue Aug 21 2007 Funda Wang <fwang@mandriva.org> 2.1.1-1mdv2008.0
+ Revision: 68173
- New version 2.1.1
- rediff patch0
- disable privacy patch as it does not apply now

* Sun Aug 12 2007 Funda Wang <fwang@mandriva.org> 2.1.0-2mdv2008.0
+ Revision: 62317
- fix upgrade

* Mon Jul 30 2007 Funda Wang <fwang@mandriva.org> 2.1.0-1mdv2008.0
+ Revision: 56708
- New version 2.1.0

* Thu Jul 26 2007 David Walluck <walluck@mandriva.org> 2.0.2-4mdv2008.0
+ Revision: 56092
- add patch for panel icon size

* Mon Jul 23 2007 Funda Wang <fwang@mandriva.org> 2.0.2-3mdv2008.0
+ Revision: 54660
- introduce i18n package to reduce dependency of finch
- rebuild against new silc-toolkit

* Fri Jun 29 2007 Andreas Hasenack <andreas@mandriva.com> 2.0.2-2mdv2008.0
+ Revision: 45603
- rebuild with new rpm-mandriva-setup (-fstack-protector)

  + Funda Wang <fwang@mandriva.org>
    - Add obsoletes
    - New devel policy.

* Fri Jun 15 2007 Funda Wang <fwang@mandriva.org> 2.0.2-1mdv2008.0
+ Revision: 40038
- add missing file
- patch1 not needed
- New version

* Thu Jun 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-5mdv2008.0
+ Revision: 39477
- really build against libgadu

* Sat Jun 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-4mdv2008.0
+ Revision: 37630
- don't use pidgin's own libgadu, which is quite old (use one from main repository)
- disable building of static files rather than deleting them
- use some dirty hack for parallel build

* Fri Jun 08 2007 Colin Guthrie <cguthrie@mandriva.org> 2.0.1-3mdv2008.0
+ Revision: 37053
- Add support for the Facebook plugin (early in development)
- Patch to work with new Evolution Data Server
- Fix a crash relating to MSN Buddy authorization. Thanks to Stefan Ott.

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-2mdv2008.0
+ Revision: 33203
- patches 112 and 133 enable use of pidgin-privacy-please module

* Sat May 26 2007 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2008.0
+ Revision: 31329
- New upstream version 2.0.1

* Fri May 04 2007 Funda Wang <fwang@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 22394
- new upstream version 2.0.0

  + Götz Waschk <waschk@mandriva.org>
    - sync with fedora: drop patches 102,103

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta7.1mdv2008.0
+ Revision: 20573
- fix spec an file list
- drop epoch tag
- drop source 2 (QQ smiley theme)
- drop merged patch 1
- update patch 0
- rediff patch 103

  + Funda Wang <fwang@mandriva.org>
    - evolution plugin should be in pidgin area.
    - split finch into individual package.
    - merge libgaim0 into pidgin main package.
    - make it more clear to distinguish library and app,
      by naming pidgin and purple.
    - try gaim->pidgin convertion.
    - new upstream version beta7
    - gaim now names pidgin
    - gaim now names pidgin


* Thu Feb 01 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-2.beta6.2mdv2007.0
+ Revision: 115818
- fix mono example plugins and reenable mono support
- fix deps between the subpackages, as long as it is a prerelease

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta6.1mdv2007.1
+ Revision: 110627
- new version
- disable mono, it currently does not build
- drop patches 104, 105, 106, 107, 108, 110, 112, 150, 152, 153
- add new plugins

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta5.6mdv2007.1
+ Revision: 107128
- port a few bug fixes from Fedora

* Fri Dec 01 2006 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-2.beta5.5mdv2007.1
+ Revision: 89504
- Drop the threads patch, it is now initialized correctly, and initializing it twice now aborts

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta5.4mdv2007.1
+ Revision: 88289
- bot rebuild
- fix buildrequires
- rebuild

* Sat Nov 11 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta5.1mdv2007.0
+ Revision: 81050
- new version
- readd source signature
- update file list

* Sat Oct 21 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta4.2mdv2007.1
+ Revision: 71560
- readd dbus thread fix

* Fri Oct 20 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta4.1mdv2007.1
+ Revision: 71292
- Import gaim

* Fri Oct 20 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-2.beta4.1mdv2007.1
- fix buildrequires
- drop patch 1
- unpack patch
- new version

* Wed Aug 23 2006 Pascal Terjan <pterjan@mandriva.com> 1:2.0.0-2.beta3.1.1mdv2007.0
- Beta 3.1...

* Tue Aug 15 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1.beta3.12mdv2007.0
- fix buildrequires

* Sun Aug 13 2006 Pascal Terjan <pterjan@mandriva.com> 1:2.0.0-1.beta3.11mdv2007.0
- Initialize threads as gnomevfs now uses dbus (P1)

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1:2.0.0-1.beta3.9mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1.beta3.8mdv2007.0
- rebuild for new e-d-s

* Sun Jul 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1:2.0.0-0.beta3.7mdv2007.0
- XDG menu

* Tue May 02 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.6mdk
- rebuild

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.5mdk
- build the mono package

* Fri Apr 14 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.4mdk
- add mono package

* Thu Apr 13 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.3mdk
- rebuild for new e-d-s

* Fri Mar 31 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.2mdk
- fix buildrequires

* Thu Mar 30 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.1mdk
- drop patch 1
- new version

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta2.3mdk
- patch for new libortp, but disable vv

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta2.2mdk
- rebuild for new dbus

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta2.1mdk
- update patch 0
- fix buildrequires
- new version

* Mon Jan 02 2006 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.5mdk
- fix dbus-example.so belonging to 2 subpackages

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.beta1.4mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sat Dec 24 2005 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.3mdk
- fix missing %%
- don't build dbus and meanwhile on <= 2006.0
- BuildRequires doxygen for documentation (thanx misc for the reports)

* Thu Dec 22 2005 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.2mdk
- Change libgaimremote to libgaim-client
- Buildconflicts with stuff we can't disable in configure

* Sun Dec 18 2005 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.1mdk
- 2.0.0 beta 1
- Drop patch1
- Drop patch2 (nas support no longer exists)
- Add Bonjour subpackage
- meanwhile is now included

* Sun Oct 09 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.5.0-5mdk
- Rebuild for new evolution-data-server

* Fri Sep 02 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.5.0-4mdk
- add BuildRequires: gettext-devel

* Thu Sep 01 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5.0-3mdk
- fix build with nas support

* Sat Aug 13 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.0-2mdk
- use %%mkrel

* Sat Aug 13 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.5.0-1mdk
- 1.5.0

* Sat Jul 09 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.4.0-1mdk
- 1.4.0

* Tue Jul 05 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.3.1-3mdk
- Don't duplicate libsilcgaim.so in main package and -silc

* Sat Jun 18 2005 Andreas Hasenack <andreas@mandriva.com> 1:1.3.1-2mdk
- rebuilt without krb4 support

* Sun Jun 12 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.3.1-1mdk
- 1.3.1

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.3.0-3mdk
- Rebuild for libkrb53-devel 1.4.1

* Sat May 21 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.3.0-2mdk
- Rebuild for new libperl.so

* Thu May 12 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.3.0-1mdk
- 1.3.0 (fix CAN-2005-1261 and CAN-2005-1262)

* Tue May 03 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.2.1-4mdk
- Rebuild for new silc

* Sat Apr 23 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.2.1-3mdk
- Fix for gcc4

* Fri Apr 22 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.2.1-2mdk
- Rebuild for new evolution-data-server

* Sat Apr 16 2005 Pascal Terjan <pterjan@mandrake.org> 1:1.2.1-1mdk
- New release 1.2.1

* Mon Mar 21 2005 Pascal Terjan <pterjan@mandrake.org> 1:1.1.4-3mdk
- Get a release number greater than the one from updates
- Requires on release

* Tue Mar 01 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.4-2mdk
- Fix rebuilding on <= 10.0

* Sun Feb 27 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.4-1mdk
- New release 1.1.4

* Sat Feb 26 2005 Abel Cheung <deaddog@mandrake.org> 1.1.3-2mdk
- Append QQ theme to default theme

* Sat Feb 19 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.3-1mdk
- New release 1.1.3

* Sat Feb 19 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.2-2mdk
- Rebuild

* Fri Jan 21 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.2-1mdk
- 1.1.2

* Tue Dec 28 2004 Pascal Terjan <pterjan@mandrake.org> 1.1.1-1mdk
- 1.1.1

* Sun Dec 05 2004 Pascal Terjan <pterjan@mandrake.org> 1.1.0-1mdk
- 1.1.0

* Mon Nov 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.3-2mdk
- rebuild for new perl

* Fri Nov 12 2004 Pascal Terjan <pterjan@mandrakesoft.com> 1.0.3-1mdk
- New release 1.0.3

* Wed Oct 27 2004 Abel Cheung <deaddog@mandrake.org> 1.0.2-2mdk
- Adds SILC support
- Use UTF-8 for spec file
- Remove patch1; festival plugin splitted from gaim, to simplify build
- Re-enable kerberos for zephyr
- Corrected devel package requirement
- Reorganize docs

* Thu Oct 21 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.2-1mdk
- New release 1.0.2

* Tue Sep 14 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.82.1-2mdk
- add BuildRequires: libnss-devel libnspr-devel (for MSN support)

* Mon Aug 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.82.1-1mdk
- 0.82.1

* Fri Aug 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.82-1mdk
- 0.82

* Fri Aug 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.81-3mdk
- security fix

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.81-2mdk
- Rebuild with new menu

* Mon Jul 19 2004 Pascal Terjan <pterjan@mandrake.org> 0.81-1mdk
- 0.81

* Mon Jul 19 2004 Pascal Terjan <pterjan@mandrake.org> 0.80-1mdk
- 0.80
- updated patch0

* Sun Jul 18 2004 Pascal Terjan <pterjan@mandrake.org> 0.79-4mdk
- rebuild for new evolution data server

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.79-3mdk
- fix buildrequires

* Tue Jun 29 2004 Pascal Terjan <pterjan@mandrake.org> 0.79-2mdk
- put .h for gaim in gaim-devel, not libgaimremote-devel

* Tue Jun 29 2004 Pascal Terjan <pterjan@mandrake.org> 0.79-1mdk
- 0.79
- move gaim-encryption to a separate package
- add a -devel package
- gaim-festival 0.78

* Fri Jun 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-4mdk
- Rebuild for evolution-data-server

* Fri Jun 04 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-3mdk
- Allow rebuilding on stable version

* Tue Jun 01 2004 Abel Cheung <deaddog@deaddog.org> 0.78-2mdk
- More epoch fixes
- Enable and split tcl plugin
- Drop source100, use ImageMagick to convert icons
- Don't remove locale, en_CA is valid!
- Update festival plugin

* Tue Jun 01 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-1mdk
- gaim-encryption 2.26
- stop removing libtoolize
- fix invalid-lc-messages-dir (en_CA)
- 0.78

* Sat May 01 2004 Pascal Terjan <pterjan@mandrake.org> 0.77-2mdk
- gaim-encryption 2.25 to fix plugin loading due to API mismatch
- gaim festival 0.77 (Does not fix API mismatch :( )

* Sat Apr 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.77-1mdk
- 0.77
- move gevolution plugin into a separate package

* Sun Apr 04 2004 Pascal Terjan <pterjan@mandrake.org> 0.76-1mdk 
- 0.76
- drop Patch2

* Wed Feb 25 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-5mdk
- add missing Epoch in libgaim-remote0-devel Require

* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-4mdk
- use epoch in subpackages Requires

